diff --git a/tests/PHPUnit/phpunit.xml.dist b/tests/PHPUnit/phpunit.xml.dist
index 313d136753803df7c5a84bf9aae45ccd21ae0dd2..3035150bbd77548519c502562bec7b8e8b01cabf 100644
--- a/tests/PHPUnit/phpunit.xml.dist
+++ b/tests/PHPUnit/phpunit.xml.dist
@@ -31,7 +31,7 @@
 </php>
 
 <testsuites>
-  <testsuite name="IntegrationTests">
+  <testsuite name="SystemTests">
       <directory>./Integration</directory>
   </testsuite>
   <testsuite name="PluginTests">
diff --git a/tests/travis/initiate_ui_tests.sh b/tests/travis/initiate_ui_tests.sh
index c7c7e2e4703107dbcbec8d889b138f746c4bb7cd..2530b5bbdd9834e13c736354da3aa78637458af0 100755
--- a/tests/travis/initiate_ui_tests.sh
+++ b/tests/travis/initiate_ui_tests.sh
@@ -1,7 +1,7 @@
 #!/bin/bash
 
 # initiate UI tests before starting integration tests for php 5.5
-if [ "$TEST_SUITE" != "IntegrationTests" ] || [[ "$TRAVIS_PHP_VERSION" != 5\.5* ]]; then
+if [ "$TEST_SUITE" != "SystemTests" ] || [[ "$TRAVIS_PHP_VERSION" != 5\.5* ]]; then
     echo "Not initiating UI tests (\$TEST_SUITE = $TEST_SUITE, \$TRAVIS_PHP_VERSION = $TRAVIS_PHP_VERSION)."
     exit
 fi
diff --git a/tests/travis/travis.sh b/tests/travis/travis.sh
index 69576a05c553b25bae13b16424a9a02a22e1de1f..0a168e0e4847e5eb7d365c6def89c11bce32645d 100755
--- a/tests/travis/travis.sh
+++ b/tests/travis/travis.sh
@@ -69,8 +69,8 @@ then
 else
     if [ "$COVERAGE" = "Integration" ]
     then
-        echo "Executing non Integration tests in test suite IntegrationTests..."
-        phpunit --configuration phpunit.xml --testsuite IntegrationTests --exclude-group Integration --colors --coverage-clover $TRAVIS_BUILD_DIR/build/logs/clover-integration.xml || true
+        echo "Executing non Integration tests in test suite SystemTests..."
+        phpunit --configuration phpunit.xml --testsuite SystemTests --exclude-group System --colors --coverage-clover $TRAVIS_BUILD_DIR/build/logs/clover-integration.xml || true
     elif [ "$COVERAGE" = "Core" ]
     then
         echo "Executing tests in test suite CoreTests..."
diff --git a/tests/travis/upload_artifacts.sh b/tests/travis/upload_artifacts.sh
index 98a3f4fffa0f0a9c86466a191394327edcffe873..822fd795be20a7a9926efc36fb389894f3163bd5 100755
--- a/tests/travis/upload_artifacts.sh
+++ b/tests/travis/upload_artifacts.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-if [ "$TEST_SUITE" = "IntegrationTests" ];
+if [ "$TEST_SUITE" = "SystemTests" ];
 then
     url="http://builds-artifacts.piwik.org/upload.php?auth_key=$ARTIFACTS_PASS&artifact_name=processed&branch=$TRAVIS_BRANCH&build_id=$TRAVIS_JOB_NUMBER"